image:
  name: acscommunity/acs
  entrypoint: [""]
  
  
#include:
#  template: Jobs/Code-Quality.gitlab-ci.yml

#code_quality:
#  variables:
#    CODE_QUALITY_IMAGE: "registry.gitlab.com/gitlab-org/ci-cd/codequality:0.85.18"

#  artifacts:
#    paths: [gl-code-quality-report.json]

#code_quality_html:
#  extends: code_quality
#  variables:
#    REPORT_FORMAT: html
#  artifacts:
#    paths: [gl-code-quality-report.html]


before_script:
  ##
  ## Install ssh-agent if not already installed, it is required by Docker.
  ## (change apt-get to yum if you use an RPM-based image)
  ##
  #- 'command -v ssh-agent >/dev/null || ( yum install openssh-client -y )'

  ##
  ## Run ssh-agent (inside the build environment)
  ##
  #- eval $(ssh-agent -s)

  ##
  ## Add the SSH key stored in SSH_PRIVATE_KEY variable to the agent store
  ## We're using tr to fix line endings which makes ed25519 keys work
  ## without extra base64 encoding.
  ## https://gitlab.com/gitlab-examples/ssh-private-key/issues/1#note_48526556
  ##
  #- echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -

  ##
  ## Create the SSH directory and give it the right permissions
  ##
  #- mkdir -p ~/.ssh
  #- chmod 700 ~/.ssh

  #- echo "$SSH_KNOWN_HOSTS" >> ~/.ssh/known_hosts
  #- chmod 644 ~/.ssh/known_hosts

  #- cat  ~/.ssh/known_hosts
  ##
  ## Optionally, if you will be using any Git commands, set the user name and
  ## and email.
  ##
  # - git config --global user.email "user@example.com"
  # - git config --global user.name "User name"

  #- ssh-add -l

  - git clone https://gitlab+deploy-token-4:xbVhzmdfzYd4eRuwH3G4@www.ict.inaf.it/gitlab/nicolo.parmiggiani/test_ci3.git

  - ls -la test_ci3

build-job:
  stage: build
  script:
    - echo "Hello, $GITLAB_USER_LOGIN!"

test-job1:
  stage: test
  script:
    - echo "This job tests something"
    - source /alma/ACS-2020AUG/ACSSW/config/.acs/.bash_profile.acs
    - acsStart
  

test-job2:
  stage: test
  script:
    - echo "This job tests something, but takes more time than test-job1."
    - echo "After the echo commands complete, it runs the sleep command for 20 seconds"
    - echo "which simulates a test that runs 20 seconds longer than test-job1"
    - git clone https://www.ict.inaf.it/gitlab/astri/scada/tcs.git


test-job3:
  stage: test
  script:
    - echo "This job tests something, but takes more time than test-job1."
    - echo "After the echo commands complete, it runs the sleep command for 20 seconds"
    - echo "which simulates a test that runs 20 seconds longer than test-job1"
    - git clone git@git.ia2.inaf.it:nicolo.parmiggiani/test_ci_2.git
    - ls -la 

deploy-prod:
  stage: deploy
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."
